---
title: HTMLElement.offsetHeight
slug: Web/API/HTMLElement/offsetHeight
tags:
  - API
  - CSSOM View
  - NeedsMarkupWork
  - NeedsNonDHMLImage
  - Property
  - Reference
---
<div>{{ APIRef("HTML DOM") }}</div>

<p>The <strong><code>HTMLElement.offsetHeight</code></strong> read-only property returns the height of an element, including vertical padding and borders, as an integer.</p>

<p>Typically, <code>offsetHeight</code> is a measurement in pixels of the element's CSS height, including any borders, padding, and horizontal scrollbars (if rendered). It does not include the height of pseudo-elements such as <code>::before</code> or <code>::after</code>. For the document body object, the measurement includes total linear content height instead of the element's CSS height. Floated elements extending below other linear content are ignored.</p>

<p>If the element is hidden (for example, by setting <code>style.display</code> on the element or one of its ancestors to <code>"none"</code>), then <code>0</code> is returned.</p>

<div class="note">
<p>This property will round the value to an integer. If you need a fractional value, use {{ domxref("element.getBoundingClientRect()") }}.</p>
</div>

<h2 id="Syntax_and_values">Syntax</h2>

<pre class="syntaxbox">var <em>intElemOffsetHeight</em> = <em>element</em>.offsetHeight;</pre>

<p><code><em>intElemOffsetHeight</em></code> is a variable storing an integer corresponding to the <code>offsetHeight</code> pixel value of the element. The <code>offsetHeight</code> property is read-only.</p>

<h2 id="Example">Example</h2>

<p>             <img alt="Image:Dimensions-offset.png" class="internal" src="/@api/deki/files/186/=Dimensions-offset.png"></p>

<p>The example image above shows a scrollbar and an <code>offsetHeight</code> which fits on the window. However, non-scrollable elements may have large <code>offsetHeight</code> values, much larger than the visible content. These elements are typically contained within scrollable elements; consequently, these non-scrollable elements may be completely or partly invisible, depending on the <code>scrollTop</code> setting of the scrollable container.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM View', '#dom-htmlelement-offsetheight', 'offsetHeight')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h3 id="Notes">Notes</h3>

<p><code>offsetHeight</code> is a property of the <abbr title="Dynamic HyperText Markup Language">DHTML</abbr> object model which was first introduced by MSIE. It is sometimes referred to as an element's physical/graphical dimensions, or an element's border-box height.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLElement.offsetHeight")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li>{{domxref("Element.clientHeight")}}</li>
 <li>{{domxref("Element.scrollHeight")}}</li>
 <li>{{domxref("HTMLElement.offsetWidth")}}</li>
 <li><a href="/en-US/docs/Web/API/CSS_Object_Model/Determining_the_dimensions_of_elements" title="en/Determining_the_dimensions_of_elements">Determining the dimensions of elements</a></li>
 <li><a href="https://docs.microsoft.com/en-us/previous-versions/hh781509(v=vs.85)">MSDN Measuring Element Dimension and Location</a></li>
</ul>
